This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 339631 - Review Request: tcputils - Utilities for TCP programming in shell-scripts
Review Request: tcputils - Utilities for TCP programming in shell-scripts
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-19 08:14 EDT by Allisson Azevedo
Modified: 2008-06-10 12:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-21 21:43:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Allisson Azevedo 2007-10-19 08:14:51 EDT
Spec URL: http://allisson.fedorapeople.org/packages/tcputils/tcputils.spec
SRPM URL: http://allisson.fedorapeople.org/packages/tcputils/tcputils-0.6.2-1.fc7.src.rpm

Description: This is a collection of programs to facilitate TCP programming in
shell-scripts. There is also a small library which makes it somewhat
easier to create TCP/IP sockets.
Comment 1 Mamoru TASAKA 2007-10-19 08:44:27 EDT
Allisson, I would appreciate it if you would review my
review request bug 336401 and bug 336421 .
(bug 336421 depends on bug 336401.
Comment 2 Mamoru TASAKA 2007-10-19 10:29:47 EDT
For 0.6.2-1

* Timestamps
  - For this package,
------------------------------------------------------
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
------------------------------------------------------
    works to keep timestamps on man files. For this package
    it is really preferable because these man files are written
    more than 10 years ago.

  - Also you may want to keep timestamps on the tarball in
    your srpm. You can use "wget -N", for example.

! %attr
-------------------------------------------------------
%attr(0644, root, root) %{_mandir}/man1/...
-------------------------------------------------------
  - While this is not a problem, I prefer to change the permission
    of files before %install section ends and not to use %attr
    when possible, i.e.
-------------------------------------------------------
%install
.......
chmod 0644 $RPM_BUILD_ROOT%{_mandir}/man1/*
-------------------------------------------------------
    However this is not a blocker.
Comment 3 Allisson Azevedo 2007-10-19 12:27:36 EDT
Update package:

Spec URL: http://allisson.fedorapeople.org/packages/tcputils/tcputils.spec
SRPM URL:
http://allisson.fedorapeople.org/packages/tcputils/tcputils-0.6.2-2.fc7.src.rpm

Changes
- Keep timestamps on man files
Comment 4 Mamoru TASAKA 2007-10-19 13:02:45 EDT
Okay, approved.

------------------------------------------------------------
   This package (tcputils) is APPROVED by me
------------------------------------------------------------
Comment 5 Allisson Azevedo 2007-10-19 13:08:26 EDT
New Package CVS Request
=======================
Package Name: tcputils
Short Description: Utilities for TCP programming in shell-scripts
Owners: allisson
Branches: FC-6 F-7
InitialCC: 
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2007-10-21 13:13:39 EDT
mass branching for F-8 has happened, so I assumed you also wanted a F-8 branch. 
cvs done.
Comment 7 Allisson Azevedo 2007-10-21 21:43:49 EDT
All done, thank you for review.
Comment 8 Allisson Azevedo 2008-06-10 08:01:07 EDT
Package Change Request
======================
Package Name: tcputils
New Branches: EL-4 EL-5
Comment 9 Kevin Fenzi 2008-06-10 12:07:15 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.